// pragma cdn_vip_model -class cdn_ahb
// Do not move the above pragma, it belongs at the top of the file.

// Module:                      test1
// SOMA file:                   /home/vipcat_test1/test1.soma
// Initial contents file:       
// Simulation control flags:    


// PLEASE do not remove, modify or comment out the timescale declaration below.
// Doing so will cause the scheduling of the pins in Denali models to be
// inaccurate and cause simulation problems and possible undetected errors or
// erroneous errors.  It must remain `timescale 1ps/1ps for accurate simulation.   
`timescale 1ps/1ps

module test1(
    HCLK,
    HRESET,
    HADDR,
    HTRANS,
    HWRITE,
    HSIZE,
    HBURST,
    HPROT,
    HWDATA,
    HRDATA,
    HREADY,
    HRESP,
    HBUSREQ,
    HLOCK,
    HGRANT
);
    parameter interface_soma = "/home/vipcat_test1/test1.soma";
    parameter init_file   = "";
    parameter sim_control = "";
    input HCLK;
    input HRESET;
    output [31:0] HADDR;
      reg [31:0] den_HADDR;
      assign HADDR = den_HADDR;
    output [1:0] HTRANS;
      reg [1:0] den_HTRANS;
      assign HTRANS = den_HTRANS;
    output HWRITE;
      reg den_HWRITE;
      assign HWRITE = den_HWRITE;
    output [2:0] HSIZE;
      reg [2:0] den_HSIZE;
      assign HSIZE = den_HSIZE;
    output [2:0] HBURST;
      reg [2:0] den_HBURST;
      assign HBURST = den_HBURST;
    output [3:0] HPROT;
      reg [3:0] den_HPROT;
      assign HPROT = den_HPROT;
    output [31:0] HWDATA;
      reg [31:0] den_HWDATA;
      assign HWDATA = den_HWDATA;
    input [31:0] HRDATA;
    input HREADY;
    input HRESP;
    output HBUSREQ;
      reg den_HBUSREQ;
      assign HBUSREQ = den_HBUSREQ;
    output HLOCK;
      reg den_HLOCK;
      assign HLOCK = den_HLOCK;
    input HGRANT;
initial
    $cdn_ahb_access(HCLK,HRESET,den_HADDR,den_HTRANS,den_HWRITE,den_HSIZE,den_HBURST,den_HPROT,den_HWDATA,HRDATA,HREADY,HRESP,den_HBUSREQ,den_HLOCK,HGRANT);
endmodule

